/*
 *
 * Mixins
 *
 *
*/

// dontShow
%dontshow{
  position: absolute;
  top: -9999rem;
  left: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

// Setup color schemes
.scheme-gold{
	background-color:$brand-primary;
	color:$gray-base;
	a {
		color:$brand-success;
		&.btn{
			background-color: $brand-success;
		}
	}
}
.scheme-gold-alt{
	background-color:$brand-primary;
	color:$white;
	h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6, a{
		color:$brand-success;
	}
}
.scheme-blue{
	background-color:$brand-success;
	color:$white;
	&.h1,&.h2,&.h3,&.h4,&.h5,&.h6,h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6{
		color:$white;
	}
	ul.dropdown-menu{
		background-color:$brand-primary;
		a{
			&:hover{
				color:$gray-brand;
			}
		}
	}
	// button {
	// 	background-color:$brand-warning;
	// 	border-radius:5px;
	// 	color:$white;
	// }
	a{
		&.btn {
			background-color:$brand-warning;
			color:$white;
		}
		&:hover{
			color:$gray-lighter;
		}
		color:$white;
	}
}

.scheme-orange{
	background-color:$brand-warning;
	color:$white;
	h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6{
		color:$brand-success;
	}
	a{
		color: $black;

		&.btn {
			background-color: $brand-primary;
			color: $black;
		}
	}
}